package com.ruoyi.framework.recovery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 回收档口对象 rec_stall
 *
 * @author jin
 * @date 2024-11-16
 */
public class RecStall extends BaseEntity
{
    private static final long serialVersionUID = 6402724298292212824L;

    /** 回收档口id */
    private Long id;

    /** 档口类型id */
    @Excel(name = "档口类型id")
    private Long categoryId;

    /** 交易类型:1.线上交易平台，2.线下交易平台，3.线下回收门店/档口 */
    @Excel(name = "交易类型:1.线上交易平台，2.线下交易平台，3.线下回收门店/档口")
    private Integer tradeType;

    /** 档口名称 */
    @Excel(name = "档口名称")
    private String stallName;

    /** 档口描述 */
    @Excel(name = "档口描述")
    private String stallDesc;

    /** 档口地址 */
    @Excel(name = "档口地址")
    private String stallAddress;

    /** 档口联系人 */
    @Excel(name = "档口联系人")
    private String stallCont;

    /** 档口联系人微信 */
    @Excel(name = "档口联系人微信")
    private String stallContWx;

    /** 档口联系人地址 */
    @Excel(name = "档口联系人地址")
    private String stallContAddress;

    /** 档口图片 */
    @Excel(name = "档口图片")
    private String stallIcon;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /**
     * 档口城市
     */
    @Excel(name = "档口城市")
    private Long cityId;

    @Excel(name = "城市")
    private String city;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId()
    {
        return categoryId;
    }
    public void setTradeType(Integer tradeType)
    {
        this.tradeType = tradeType;
    }

    public Integer getTradeType()
    {
        return tradeType;
    }
    public void setStallName(String stallName)
    {
        this.stallName = stallName;
    }

    public String getStallName()
    {
        return stallName;
    }
    public void setStallDesc(String stallDesc)
    {
        this.stallDesc = stallDesc;
    }

    public String getStallDesc()
    {
        return stallDesc;
    }
    public void setStallAddress(String stallAddress)
    {
        this.stallAddress = stallAddress;
    }

    public String getStallAddress()
    {
        return stallAddress;
    }
    public void setStallCont(String stallCont)
    {
        this.stallCont = stallCont;
    }

    public String getStallCont()
    {
        return stallCont;
    }
    public void setStallContWx(String stallContWx)
    {
        this.stallContWx = stallContWx;
    }

    public String getStallContWx()
    {
        return stallContWx;
    }
    public void setStallContAddress(String stallContAddress)
    {
        this.stallContAddress = stallContAddress;
    }

    public String getStallContAddress()
    {
        return stallContAddress;
    }
    public void setStallIcon(String stallIcon)
    {
        this.stallIcon = stallIcon;
    }

    public String getStallIcon()
    {
        return stallIcon;
    }
    public void setCreateDate(Date createDate)
    {
        this.createDate = createDate;
    }

    public Date getCreateDate()
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("RecStall{");
        sb.append("id=").append(id);
        sb.append(", categoryId=").append(categoryId);
        sb.append(", tradeType=").append(tradeType);
        sb.append(", stallName='").append(stallName).append('\'');
        sb.append(", stallDesc='").append(stallDesc).append('\'');
        sb.append(", stallAddress='").append(stallAddress).append('\'');
        sb.append(", stallCont='").append(stallCont).append('\'');
        sb.append(", stallContWx='").append(stallContWx).append('\'');
        sb.append(", stallContAddress='").append(stallContAddress).append('\'');
        sb.append(", stallIcon='").append(stallIcon).append('\'');
        sb.append(", createDate=").append(createDate);
        sb.append(", updateDate=").append(updateDate);
        sb.append(", cityId='").append(cityId).append('\'');
        sb.append(", city='").append(city).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
